Support Center

Technical Requirements

Last Updated: Jul 09, 2015 11:03AM EDT
Storybird requirements:
-a modern browser. Suggested editions: Chrome, Safari 5+, Firefox 5+, IE 9+, Opera 12.11+ (Generally we support the last three versions of major browsers).
-a reasonably fast internet connection. Minimum 2-5 Mbps.
-Javascript turned on, cookies enabled

You can use Storybird with a lesser browser or a slower connection—but your experience may suffer and some features may not work. 

Need a better browser? Try one of these.

 

Contact Us

support@storybird.com
http://assets2.desk.com/
false
storybird
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete